Bug 1091585 - Error running GRUB setup in YAST
Error running GRUB setup in YAST
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
x86-64 Other
: P5 - None : Critical (vote)
: ---
Assigned To: Arvin Schnell
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-01 22:13 UTC by Aleksey Kontsevich
Modified: 2018-05-03 12:33 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
y2log (220.14 KB, text/plain)
2018-05-01 22:13 UTC, Aleksey Kontsevich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksey Kontsevich 2018-05-01 22:13:00 UTC
Created attachment 768758 [details]
y2log

Failed with 'incompatible character encodings: ASCII-8BIT and UTF-8' (Encoding::CompatibilityError). Details: incompatible character encodings: ASCII-8BIT and UTF-8.

Log attached. 

Urgent cause it related to other bug: USB does not work on VIA VL805 chipset. Need to try some kernel parameters to fix.
Comment 1 Josef Reidinger 2018-05-02 14:08:40 UTC
This encoding issue should be already fixed, but root of issue is still valid.

Arvin - can you please specify what exactly means this "illegal mount type." ? or how to avoid it as it happen during system probe.

2018-05-02 01:07:12 <1> localhost.localdomain(3939) [libstorage] SystemCmd.cc:186 SystemCmd Executing:"/sbin/udevadm info '/dev/loop3'"
2018-05-02 01:07:12 <1> localhost.localdomain(3939) [libstorage] SystemCmd.cc:187 timestamp [18765.493383], 2018-05-01 22:07:12 GMT, 2018-05-02 01:07:12 EEST
2018-05-02 01:07:12 <1> localhost.localdomain(3939) [libstorage] SystemCmd.cc:660 Adding Line 1 "P: /devices/virtual/block/loop3"
2018-05-02 01:07:12 <1> localhost.localdomain(3939) [libstorage] SystemCmd.cc:660 Adding Line 2 "N: loop3"
2018-05-02 01:07:12 <1> localhost.localdomain(3939) [libstorage] SystemCmd.cc:660 Adding Line 3 "E: DEVNAME=/dev/loop3"
2018-05-02 01:07:12 <1> localhost.localdomain(3939) [libstorage] SystemCmd.cc:660 Adding Line 4 "E: DEVPATH=/devices/virtual/block/loop3"
2018-05-02 01:07:12 <1> localhost.localdomain(3939) [libstorage] SystemCmd.cc:660 Adding Line 5 "E: DEVTYPE=disk"
2018-05-02 01:07:12 <1> localhost.localdomain(3939) [libstorage] SystemCmd.cc:660 Adding Line 6 "E: ID_FS_TYPE=squashfs"
2018-05-02 01:07:12 <1> localhost.localdomain(3939) [libstorage] SystemCmd.cc:660 Adding Line 7 "E: ID_FS_USAGE=filesystem"
2018-05-02 01:07:12 <1> localhost.localdomain(3939) [libstorage] SystemCmd.cc:660 Adding Line 8 "E: ID_FS_VERSION=4.0"
2018-05-02 01:07:12 <1> localhost.localdomain(3939) [libstorage] SystemCmd.cc:660 Adding Line 9 "E: MAJOR=7"
2018-05-02 01:07:12 <1> localhost.localdomain(3939) [libstorage] SystemCmd.cc:660 Adding Line 10 "E: MINOR=3"
2018-05-02 01:07:12 <1> localhost.localdomain(3939) [libstorage] SystemCmd.cc:660 Adding Line 11 "E: SUBSYSTEM=block"
2018-05-02 01:07:12 <1> localhost.localdomain(3939) [libstorage] SystemCmd.cc:660 Adding Line 12 "E: TAGS=:systemd:"
2018-05-02 01:07:12 <1> localhost.localdomain(3939) [libstorage] SystemCmd.cc:660 Adding Line 13 "E: USEC_INITIALIZED=17810164"
2018-05-02 01:07:12 <1> localhost.localdomain(3939) [libstorage] SystemCmd.cc:660 Adding Line 14 ""
2018-05-02 01:07:12 <1> localhost.localdomain(3939) [libstorage] SystemCmd.cc:626 pid:4000 added lines:14 stderr:false
2018-05-02 01:07:12 <1> localhost.localdomain(3939) [libstorage] SystemCmd.cc:416 stopwatch 0.020115s for "/sbin/udevadm info '/dev/loop3'"
2018-05-02 01:07:12 <1> localhost.localdomain(3939) [libstorage] SystemCmd.cc:436 system() Returns:0
2018-05-02 01:07:12 <1> localhost.localdomain(3939) [libstorage] CmdUdevadm.cc:86 file:/dev/loop3 path:/devices/virtual/block/loop3 name:loop3 majorminor:7:3
2018-05-02 01:07:12 <3> localhost.localdomain(3939) [libstorage] MountPointImpl.cc:284 THROW:	 illegal mount type
2018-05-02 01:07:12 <3> localhost.localdomain(3939) [libstorage] CallbacksImpl.cc:45 CAUGHT:	 illegal mount type
2018-05-02 01:07:12 <1> localhost.localdomain(3939) [Ruby] callbacks/libstorage_callback.rb:64 libstorage-ng reported an error, asking the user whether to continue
2018-05-02 01:07:12 <1> localhost.localdomain(3939) [Ruby] callbacks/libstorage_callback.rb:65 Error details. Message: ������������ ���������������� ���������������� �������������� ���� /dev/sdb1. What: illegal mount type.
Comment 2 Arvin Schnell 2018-05-02 18:44:34 UTC
"illegal mount type" means that the file system type used mount the -t
option for mount is set to an illegal value (UNKNOWN). Somehow caused
by the NTFS file systems. There blkid reports "ntfs", /proc/mounts lists
"fuseblk" and in /etc/fstab "ntfs-3g" is used.

As a workaround you could try to use "ntfs" instead of "ntfs-3g" in
/etc/fstab. AFAIK they are identical anyway.
Comment 3 Arvin Schnell 2018-05-03 08:55:22 UTC
PR: https://github.com/openSUSE/libstorage-ng/pull/524
Comment 4 Arvin Schnell 2018-05-03 12:33:28 UTC
Fixed in libstorage-ng version 3.3.266.